datacache <- new.env(hash=TRUE, parent=emptyenv())

huex10stv2hsug <- function() showQCData("huex10stv2hsug", datacache)
huex10stv2hsug_dbconn <- function() dbconn(datacache)
huex10stv2hsug_dbfile <- function() dbfile(datacache)
huex10stv2hsug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
huex10stv2hsug_dbInfo <- function() dbInfo(datacache)

huex10stv2hsugORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "huex10stv2hsug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "huex10stv2hsug", "chip huex10stv2hsug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(huex10stv2hsug_dbconn())
}

